package com.vcarecity.publish.constants;

import java.time.format.DateTimeFormatter;

/**
 * @author VcKerry on 12/18/19
 */

public class ElasticConstant {
    public static final long CHECK_TIME_INTERVAL = 1000 * 3 * 60;

    public static final String UNIT_AGENCY_INDEX = "unit-agency";


    public static final int QUERY_PAGE_COUNT = 2000;


    /**
     * ElasticSearch 查询时的时间格式,插入JSON时的时间格式
     */
    public static final String ES_DATETIME_PATTERN = "yyyy/MM/dd HH:mm:ss";
    public static final DateTimeFormatter ES_DT_FORMATTER = DateTimeFormatter.ofPattern(ES_DATETIME_PATTERN);


    /**
     * 数据未加载
     */
    public static final int DATA_STATUS_NOT_LOAD = -1;
    /**
     * 数据加载中
     */
    public static final int DATA_STATUS_LOADING = 0;
    /**
     * 数据加载完成
     */
    public static final int DATA_STATUS_LOADED = 1;


}
