package com.vcarecity.publish.aop;

import org.aspectj.lang.ProceedingJoinPoint;
import org.aspectj.lang.annotation.Around;
import org.aspectj.lang.annotation.Pointcut;

/**
 * @author VcKerry on 12/20/19
 */

//@Aspect
//@Component
public class PrepareAopController {


    @Pointcut("execution(public * com.vcarecity.publish.controller.*.*(..))")
    public void preparePointcut() {

    }


    @Around("preparePointcut()")
    public Object check(ProceedingJoinPoint pjp) throws Throwable {
        return pjp.getTarget();
    }

}
