package com.vcarecity.publish.util;

/**
 * @author VcKerry on 12/19/19
 */

public class Utils {

    public static final int[] EMPTY_PARAM = new int[0];

    public static int[] paramToArray(String input) {
        if (input == null) {
            return EMPTY_PARAM;
        }
        input = input.trim();
        if (input.length() == 0) {
            return EMPTY_PARAM;
        }

        String[] split = input.split(",");
        if (split.length == 0) {
            return EMPTY_PARAM;
        }
        int[] res = new int[split.length];
        for (int i = 0; i < split.length; i++) {
            res[i] = Integer.parseInt(split[i]);
        }
        return res;
    }


}
