package com.vcarecity.publish.mapper;

import com.vcarecity.publish.entity.AgencyEntity;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.TestPropertySource;

import java.util.ArrayList;
import java.util.List;

@TestPropertySource(properties = "app.scheduling.enable=false")
@SpringBootTest
public class AgencyMapperTest {

    @Autowired
    private AgencyMapper agencyMapper;

    @Test
    public void findUpdateList() {

        String from = "2016-01-08 15:13:47";
        String to = "2017-01-08 15:13:47";

        agencyMapper.findUpdateList(from, to);
    }

    @Test
    public void findUpdateUaList() {
        String from = "2016-01-08 15:13:47";
        String to = "2017-01-08 15:13:47";

        agencyMapper.findUpdateUaList(from, to);
    }

    @Test
    public void findAgencyNameByAgencyIdList() {
        List<Integer> id = new ArrayList<>();
        id.add(1);
        id.add(297);
        id.add(80424);
        List<AgencyEntity> agencyNameByAgencyIdList = agencyMapper.findAgencyNameByAgencyIdList(id);
        for (AgencyEntity agencyEntity : agencyNameByAgencyIdList) {
            System.out.println(agencyEntity);
        }
    }
}